#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x82,0x96,0x79,0x62,0x17,0xC4,0x19,0x70,0x76,0x01,0x7B,0x2E,
		0x62,0x13,0x24,0x62,0x15,0x6D,0x9F,0xC4,0x9A,0x67,0x05,0xA7,
		0xB1,0x64,0x4C,0x8B,0x94,0x27,0x1F,0xFA,0x96,0x83,0x46,0xF9,
		0x68,0x60,0x88,0xB1,0x75,0x46,0xB8,0xCD,0xCB,0x31,0xCF,0x37,
		0x46,0x1D,0x09,0xDF,0xC3,0x6A,0x14,0x3E,0xFA,0xD9,0xC9,0x7E,
		0xF4,0xA6,0x5F,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
